/*
* --------------------------------------------------------------------------------------------------------------------
* <copyright company="Aspose" file="AiNameFormatted.java">
*   Copyright (c) 2018-2020 Aspose Pty Ltd. All rights reserved.
* </copyright>
* <summary>
*   Permission is hereby granted, free of charge, to any person obtaining a copy
*  of this software and associated documentation files (the "Software"), to deal
*  in the Software without restriction, including without limitation the rights
*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
*  copies of the Software, and to permit persons to whom the Software is
*  furnished to do so, subject to the following conditions:
* 
*  The above copyright notice and this permission notice shall be included in all
*  copies or substantial portions of the Software.
* 
*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
*  SOFTWARE.
* </summary>
* --------------------------------------------------------------------------------------------------------------------
*/

package com.aspose.email.cloud.sdk.model;

import org.apache.commons.lang3.ObjectUtils;
import java.util.Date;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.*;
import com.google.gson.*;
import com.google.gson.stream.*;
import java.io.*;

/**
 * Formatted name             
 */
public class AiNameFormatted {
  @JsonProperty("name")
  private String name = null;
  @JsonProperty("comments")
  private String comments = null;

  /**
   * Set name and return this.
   * @param name Formatted name value             
   * @return this
  **/
  public AiNameFormatted name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Formatted name value             
   * @return name
  **/
  public String getName() {
    return name;
  }  

  /**
   * Set name.
   * @param name Formatted name value             
  **/
  public void setName(String name) {
    this.name = name;
  }


  /**
   * Set comments and return this.
   * @param comments Usually empty; can contain extra message describing some issue occurred during the formatting             
   * @return this
  **/
  public AiNameFormatted comments(String comments) {
    this.comments = comments;
    return this;
  }

  /**
   * Usually empty; can contain extra message describing some issue occurred during the formatting             
   * @return comments
  **/
  public String getComments() {
    return comments;
  }  

  /**
   * Set comments.
   * @param comments Usually empty; can contain extra message describing some issue occurred during the formatting             
  **/
  public void setComments(String comments) {
    this.comments = comments;
  }


  @Override
  public boolean equals(java.lang.Object o) {
  if (this == o) {
    return true;
  }
  if (o == null || getClass() != o.getClass()) {
    return false;
  }
    AiNameFormatted aiNameFormatted = (AiNameFormatted) o;
    return ObjectUtils.equals(this.name, aiNameFormatted.name) &&
    ObjectUtils.equals(this.comments, aiNameFormatted.comments);
  }

  @Override
  public int hashCode() {
    return ObjectUtils.hashCodeMulti(name, comments);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AiNameFormatted {\n");
    
    sb.append("    name: ").append(toIndentedString(getName())).append("\n");
    sb.append("    comments: ").append(toIndentedString(getComments())).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

  public AiNameFormatted() {
    super();
  }

  /**
   * Initializes a new instance of the AiNameFormatted
   * @param name Formatted name value             
   * @param comments Usually empty; can contain extra message describing some issue occurred during the formatting             
   */
  public AiNameFormatted(
    String name,
    String comments
  ) {
    super();
    setName(name);
    setComments(comments);
  }

}

